import { post } from "@/request/axios.js";

// 获取数据字典
export const getLevels = (params) =>
  post("/dictionaries/getLevels", {
    loading: false,
    ...params,
  });
// 获取数据字典
export const getLevelsCorp = (params) =>
  post("/dictionariesCorp/getLevels", {
    loading: false,
    ...params,
  });
// 获取数据字典
export const getLevelsByParentId = (params) =>
  post("/dictionaries/listDictToParId", {
    loading: false,
    ...params,
  });
// 获取数据字典包括子级数量
export const getLevelsAndChildrenNumber = (params) =>
  post("/dictionaries/getLevelsAndSCount", {
    loading: false,
    ...params,
  });
// 监管类型
export const getRegulatoryType = (params) =>
  post("/corptype/corptypelist", {
    loading: false,
    ...params,
  });
// 获取用户
export const getUserListAllByCorp = (params) =>
  post("/user/listUserByCorp", {
    loading: false,
    ...params,
  });
// 部门树
export const getDepartmentTree = (params) =>
  post("/department/listTree", {
    loading: false,
    ...params,
  });
// 获取岗位
export const getPostListAll = (params) =>
  post("/post/listAll", {
    loading: false,
    ...params,
  });
